This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 123604 - RFE: remove dependencies on ldap + perl
RFE: remove dependencies on ldap + perl
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnupg (Show other bugs)
3
All Linux
high Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-19 12:25 EDT by Enrico Scholz
Modified: 2008-10-22 17:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-22 17:09:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2004-05-19 12:25:03 EDT
Description of problem:

Current gnupg has lots of (heavy) dependencies which are unrelated to
its core-functionality (encryption/signing):

| $ rpm -qR gnupg
| /usr/bin/perl  
| libldap.so.2  

So, I am forced to install 50 MB of additional packages (perl +
openldap deps), when I want to use gnupg. 50 MB does not seem to be
very much, but it matters e.g. in chroot environments.

Since these deps are introduced by two files which are not usually
needed:

| /usr/lib/gnupg/gpgkeys_ldap     libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libldap.so.2 
| /usr/lib/gnupg/gpgkeys_mailto   /usr/bin/perl perl(Getopt::Std) 

it would be nice to move them into a subpackage (e.g. gnupg-extras). As I
am said, this will save 50 MB diskspace and lots of unneeded dependencies.


Version-Release number of selected component (if applicable):

gnupg-1.2.4-2.1
Comment 1 Enrico Scholz 2005-01-05 09:52:04 EST
still with gnupg-1.2.6-2. Can we fix this before FC4, please?
Comment 2 Enrico Scholz 2005-01-19 20:36:04 EST
adjusting priority + severity because this packaging error annoys me
more and more...
Comment 3 Jon Stanley 2008-04-23 16:29:25 EDT
Adding FutureFeature keyword to RFE's.
Comment 4 John Poelstra 2008-07-04 00:21:08 EDT
Seems this is improved and the original concerns are addressed?

Nalin should this remain open?

$ rpm -qR gnupg
/bin/sh  
/bin/sh  
/bin/sh  
/sbin/install-info  
libbz2.so.1  
libc.so.6  
libc.so.6(GLIBC_2.0)  
libc.so.6(GLIBC_2.1)  
libc.so.6(GLIBC_2.1.3)  
libc.so.6(GLIBC_2.2)  
libc.so.6(GLIBC_2.3)  
libc.so.6(GLIBC_2.3.3)  
libc.so.6(GLIBC_2.3.4)  
libc.so.6(GLIBC_2.4)  
libcurl.so.4  
libdl.so.2  
libdl.so.2(GLIBC_2.0)  
libdl.so.2(GLIBC_2.1)  
libldap-2.4.so.2  
libreadline.so.5  
libresolv.so.2  
libresolv.so.2(GLIBC_2.0)  
libresolv.so.2(GLIBC_2.2)  
libusb-0.1.so.4  
libz.so.1  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
rtld(GNU_HASH)  

$ yum deplist gnupg
Finding dependencies: 
package: gnupg.i386 1.4.9-1.fc9
  dependency: libz.so.1
   provider: zlib.i386 1.2.3-18.fc9
  dependency: /sbin/install-info
   provider: info.i386 4.11-5.fc9
  dependency: libc.so.6(GLIBC_2.1.3)
   provider: glibc.i686 2.8-3
   provider: glibc.i386 2.8-3
  dependency: libc.so.6(GLIBC_2.4)
   provider: glibc.i686 2.8-3
   provider: glibc.i386 2.8-3
  dependency: libusb-0.1.so.4
   provider: libusb.i386 0.1.12-15.fc9
  dependency: /bin/sh
   provider: bash.i386 3.2-22.fc9
  dependency: libreadline.so.5
   provider: readline.i386 5.2-13.fc9
  dependency: libc.so.6(GLIBC_2.1)
   provider: glibc.i686 2.8-3
   provider: glibc.i386 2.8-3
  dependency: libc.so.6(GLIBC_2.3.3)
   provider: glibc.i686 2.8-3
   provider: glibc.i386 2.8-3
  dependency: libresolv.so.2
   provider: glibc.i686 2.8-3
   provider: glibc.i386 2.8-3
  dependency: libresolv.so.2(GLIBC_2.0)
   provider: glibc.i686 2.8-3
   provider: glibc.i386 2.8-3
  dependency: libc.so.6(GLIBC_2.3.4)
   provider: glibc.i686 2.8-3
   provider: glibc.i386 2.8-3
  dependency: libdl.so.2(GLIBC_2.1)
   provider: glibc.i686 2.8-3
   provider: glibc.i386 2.8-3
  dependency: libresolv.so.2(GLIBC_2.2)
   provider: glibc.i686 2.8-3
   provider: glibc.i386 2.8-3
  dependency: libc.so.6(GLIBC_2.2)
   provider: glibc.i686 2.8-3
   provider: glibc.i386 2.8-3
  dependency: rtld(GNU_HASH)
   provider: glibc.i686 2.8-3
   provider: glibc.i386 2.8-3
  dependency: libbz2.so.1
   provider: bzip2-libs.i386 1.0.5-1.fc9
   provider: bzip2-libs.i386 1.0.5-2.fc9
  dependency: libdl.so.2
   provider: glibc.i686 2.8-3
   provider: glibc.i386 2.8-3
  dependency: libc.so.6(GLIBC_2.3)
   provider: glibc.i686 2.8-3
   provider: glibc.i386 2.8-3
  dependency: libdl.so.2(GLIBC_2.0)
   provider: glibc.i686 2.8-3
   provider: glibc.i386 2.8-3
  dependency: libc.so.6
   provider: glibc.i686 2.8-3
   provider: glibc.i386 2.8-3
  dependency: libc.so.6(GLIBC_2.0)
   provider: glibc.i686 2.8-3
   provider: glibc.i386 2.8-3
  dependency: libcurl.so.4
   provider: libcurl.i386 7.18.1-1.fc9
   provider: libcurl.i386 7.18.2-1.fc9
  dependency: libldap-2.4.so.2
   provider: openldap.i386 2.4.8-3.fc9
   provider: openldap.i386 2.4.8-6.fc9
Comment 5 Christopher D. Stover 2008-10-22 17:09:34 EDT
The information we've requested above is required in order
to review this problem report further and diagnose or fix the
issue if it is still present.  Since it has been thirty days or
more since we first requested additional information, we're assuming
the problem is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED: INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested,
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.